<?php
/**
 * コンテンツ印刷用ページ CExt
 * REQUIRE Module:Print
 */
require_once 'Platy/CExt.php';

class Platy_CExt_Print extends Platy_CExt
{
    function install() { return true; }
    function uninstall() { return true; }
    
    // イベントハンドラ
    
    function event_PostContentTitle() 
    {
        global $db, $currentContent, $Me;
        
        echo '<a href="' . BASE_URL . 'Print/view/id/' . $currentContent['id'] . '" alt="print" title="印刷用ページ" target="brank">';
        echo '<img src="' . BASE_URL . 'media/system/fileprint.png' . '">';
        echo '</a>';
    }
    
    public function getSummary()
    {
        return 'コンテンツの印刷用ページリンクを表示します';
    }
}
?>